org.apache.commons.collections4.sequence

## Class DeleteCommand<T>

- java.lang.Object
- - org.apache.commons.collections4.sequence.EditCommand<T>
  - - org.apache.commons.collections4.sequence.DeleteCommand<T>

-     public class DeleteCommand<T>
      extends EditCommand<T>

  Command representing the deletion of one object of the first sequence.

  When one object of the first sequence has no corresponding object in the second sequence at the right place, the `edit script` transforming the first sequence into the second sequence uses an instance of this class to represent the deletion of this object. The objects embedded in these type of commands always come from the first sequence.

  Since:
    4.0
  See Also:
    `SequencesComparator`, `EditScript`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteCommand(T object)` Simple constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(CommandVisitor<T> visitor)` Accept a visitor.

    - ### Methods inherited from class org.apache.commons.collections4.sequence.EditCommand

      `getObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteCommand

          public DeleteCommand(T object)

      Simple constructor. Creates a new instance of `DeleteCommand`.
      Parameters:
        `object` - the object of the first sequence that should be deleted

  - ### Method Detail

    - #### accept

          public void accept(CommandVisitor<T> visitor)

      Accept a visitor. When a `DeleteCommand` accepts a visitor, it calls its `visitDeleteCommand` method.
      Specified by:
        `accept` in class `EditCommand<T>`
      Parameters:
        `visitor` - the visitor to be accepted

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.